.token-group-item {
    padding: 20px 38px 20px 19px;
    background-color: var(--dark-grey);
    display: flex;
    align-items: center;
    gap: 0 12px;
    position: relative;
    width: 100%;
    height: 110px;
    border: 2px solid transparent;
}

.token-group-item:hover {
    background-color: var(--near-dark-grey);
}

.token-group-item::after {
    content: '';
    height: 1px;
    width: calc(100% + 2px);
    background-color: var(--pure-white);
    opacity: 0.2;
    position: absolute;
    left: -1px;
    bottom: -1px;
}

.token-group-item-active {
    border: 2px solid var(--primary-accent);
}

.token-group-item-active::after {
    display: none;
}

.token-group-item-prev-active::after {
    display: none;
}

.token-group-item > img {
    width: 70px;
    object-fit: cover;
    grid-row: span 2;
    position: relative;
}

.nft-mark-wrapper {
    position: absolute;
    top: 11px;
    right: 11px;
}

.team-title {
    display: flex;
    gap: 5px;
    font-weight: 400;
    font-size: 20px;
    line-height: 24px;
    color: var(--pure-white);
    height: fit-content;
}

.team-title > span {
    white-space: nowrap;
}

.team-title > .short-team-name {
    opacity: 0.5;
}

.description {
    font-weight: 400;
    font-size: 15px;
    line-height: 18px;
    color: var(--pure-white);
    opacity: 0.5;
    max-height: 36px;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    max-width: 275px;
}

.token-group-parent > .decoration {
    width: 2px;
    height: 55px;
    position: absolute;
    z-index: 0;
    background-color: var(--pure-white);
    opacity: 0.5;
    left: 53px;
    bottom: 0;
}

.token-group-last-child,
.token-group-child {
    padding-left: 66px;
}

.token-group-last-child > .decoration {
    width: 2px;
    height: 55px;
    position: absolute;
    z-index: 0;
    background-color: var(--pure-white);
    opacity: 0.5;
    left: 53px;
    top: 0;
}

.token-group-child > .decoration {
    width: 2px;
    height: 100%;
    position: absolute;
    z-index: 0;
    background-color: var(--pure-white);
    opacity: 0.5;
    left: 53px;
    top: 0;
}

.token-group-last-child > .decoration::after,
.token-group-child > .decoration::after {
    content: '';
    position: absolute;
    width: 20px;
    height: 2px;
    background-color: var(--pure-white);
    left: 0;
    top: 55px;
}
